PROBE::IOBLOCK_TRACE(3stap)

NAME
probe::ioblock_trace.bounce - Fires whenever a buffer bounce is needed for at least one page of a block IO request.

SYNOPSIS

ioblock_trace.bounce

VALUES

name
    name of the probe point

rw
    binary trace for read/write request

idx
    offset into the bio vector array phys_segments - number of segments in this bio after physical address coalescing is performed.

opf
    operations and flags

vcnt
    bio vector count which represents number of array element (page, offset, length) which makes up this I/O request

bdev_contains
    points to the device object which contains the partition (when bio structure represents a partition)

sector
    beginning sector for the entire bio

flags
    see below BIO_UPTODATE 0 ok after I/O completion BIO_RW_BLOCK 1 RW_AHEAD set, and read/write would block BIO_EOF 2 out-out-bounds error BIO_SEG_VALID 3 nr_hw_seg valid BIO_CLONED 4 doesn't own data BIO_BOUNCED 5 bio is a bounce bio BIO_USER_MAPPED 6 contains user pages BIO_EOPNOTSUPP 7 not supported

bdev
    target block device

ino
    i-node number of the mapped file

p_start_sect
    points to the start sector of the partition structure of the device

q
    request queue on which this bio was queued.

bytes_done
    number of bytes transferred

devname
    device for which a buffer bounce was needed.

size
    total size in bytes

CONTEXT

The process creating a block IO request.

SEE ALSO
tapset::ioblock(3stap)